Package skyview.survey

# Class UserSurvey

java.lang.Object
skyview.survey.UserSurvey

All Implemented Interfaces:
  `Serializable`, `Component`, `Survey`

public class UserSurvey extends Object implements Survey

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UserSurvey()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Get the description of this component.
`Image[]`
`getImages(Position pos, double size, double scale)`
Find a list of images that are within size of the given position.
`String`
`getName()`
Get the name of this component.
`void`
`updateHeader(nom.tam.fits.Header fitsHeader)`
Update a FITS header for an image generated from this survey.
`void`
`updateSettings()`
This is a NOP for the User survey

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UserSurvey

public UserSurvey()

## Method Details

### getName

public String getName()
Description copied from interface: `Component`
Get the name of this component.

Specified by:
  `getName` in interface `Component`

### getDescription

public String getDescription()
Description copied from interface: `Component`
Get the description of this component.

Specified by:
  `getDescription` in interface `Component`

### updateSettings

public void updateSettings()
This is a NOP for the User survey

Specified by:
  `updateSettings` in interface `Survey`

### updateHeader

public void updateHeader(nom.tam.fits.Header fitsHeader)
Description copied from interface: `Survey`
Update a FITS header for an image generated from this survey.

Specified by:
  `updateHeader` in interface `Survey`

### getImages

public Image[] getImages(Position pos, double size, double scale)
Description copied from interface: `Survey`
Find a list of images that are within size of the given position.

Specified by:
  `getImages` in interface `Survey`